{
  "schema_version": "1.4.0",
  "id": "GHSA-rwr3-c2q8-gm56",
  "modified": "2024-10-08T13:06:30Z",
  "published": "2018-07-24T20:08:27Z",
  "aliases": [
    "CVE-2016-9189"
  ],
  "summary": "Pillow Integer overflow in Map.c",
  "details": "Pillow before 3.3.2 allows context-dependent attackers to obtain sensitive information by using the \"crafted image file\" approach, related to an \"Integer Overflow\" issue affecting the `Image.core.map_buffer` in `map.c` component.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N"
    },
    {
      "type": "CVSS_V4",
      "score": "CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:A/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "PyPI",
        "name": "pillow"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "3.3.2"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-9189"
    },
    {
      "type": "WEB",
      "url": "https://github.com/python-pillow/Pillow/issues/2105"
    },
    {
      "type": "WEB",
      "url": "https://github.com/python-pillow/Pillow/pull/2146/commits/c50ebe6459a131a1ea8ca531f10da616d3ceaa0f"
    },
    {
      "type": "ADVISORY",
      "url": "https://github.com/advisories/GHSA-rwr3-c2q8-gm56"
    },
    {
      "type": "WEB",
      "url": "https://github.com/pypa/advisory-database/tree/main/vulns/pillow/PYSEC-2016-8.yaml"
    },
    {
      "type": "WEB",
      "url": "https://github.com/python-pillow/Pillow"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201612-52"
    },
    {
      "type": "WEB",
      "url": "http://pillow.readthedocs.io/en/3.4.x/releasenotes/3.3.2.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3710"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/94234"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": true,
    "github_reviewed_at": "2020-06-16T21:56:09Z",
    "nvd_published_at": null
  }
}